commonmark-0.2.4: Pure Haskell commonmark parser.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Commonmark.Entity

Synopsis

- lookupEntity :: Text -> Maybe Text
- charEntity :: Monad m => ParsecT [Tok] s m [Tok]
- numEntity :: Monad m => ParsecT [Tok] s m [Tok]
- unEntity :: [Tok] -> Text

# Documentation

lookupEntity :: Text -> Maybe Text #

Lookup an entity, using `lookupNumericEntity` if it starts with `#` and `lookupNamedEntity` otherwise

charEntity :: Monad m => ParsecT [Tok] s m [Tok] #

numEntity :: Monad m => ParsecT [Tok] s m [Tok] #

unEntity :: [Tok] -> Text #